{$APPTYPE CONSOLE}

uses
  Math, SysUtils;

function Calc(s: String; x: Int64): Int64;
var
  sgn, k: Int64;
  i: Integer;
  v: Boolean;
begin
  sgn := +1; k := -1; v := false;
  i := 1;
  Result := 0;
  while i <= Length(s) do begin
    case s[i] of
    '+', '-': begin
      if v then Inc(Result, sgn * Max(Abs(k), 0) * x) else Inc(Result, sgn * Max(k, 0));
      if s[i] = '-' then sgn := -1 else sgn := 1;
      k := -1; v := false;
    end;
    '0'..'9': k := Max(k, 0) * 10 + Ord(s[i]) - Ord('0');
    'x': v := true;
    else Halt(3);
    end;
    Inc(i);
  end;
end;

function Ineq(
  const s: String; const x: Int64; out l, r: Int64; out c: String): Boolean;
const
  cmp: array [1..4] of String = ('<=', '>=', '<', '>');
var
  i, p: Integer;
begin
  Result := false;
  for i := 1 to High(cmp) do begin
    p := Pos(cmp[i], s);
    if p = 0 then continue;
    c := cmp[i];
    l := Calc(Copy(s, 1, p - 1) + '+', x);
    r := Calc(Copy(s, p + Length(cmp[i]), Length(s)) + '+', x);
    case i of
      1: Result := l <= r;
      2: Result := l >= r;
      3: Result := l < r;
      4: Result := l > r;
    end;
    break;
  end;
end;

var
  finp, fout: TextFile;
  a, b, c1, c2: String;
  x, l1, r1, l2, r2: Int64;

begin
  AssignFile(finp, ParamStr(1)); Reset(finp);
  Readln(finp, a);
  Readln(finp, b);
  CloseFile(finp);
  AssignFile(fout, ParamStr(2)); Reset(fout);
  x := 0;
  try
    Read(fout, x);
  except on E: Exception do begin
    Write(E.message);
    Halt(2);
  end;
  end;
  CloseFile(fout);
  if Ineq(a, x, l1, r1, c1) xor Ineq(b, x, l2, r2, c2) then begin
    Write('OK: ', l1, c1, r1, ' but ', l2, c2, r2);
    Halt(0);
  end else begin
    Write('BAD: ', l1, c1, r1, ' & ', l2, c2, r2);
    Halt(1);
  end;
end.
