{$APPTYPE CONSOLE}

uses
  Math;

type
  TCond = (GE, LE, GT, LT);
const                                    
  COND_STR: array [TCond] of String = ('>=', '<=', '>', '<');

procedure CalcSide(s: String; sgn1: Int64; var a, b: Int64);
var
  sgn, k: Int64;
  i: Integer;
  v: Boolean;
begin
  sgn := sgn1; k := -1; v := false;
  i := 1;
  while i <= Length(s) do begin
    case s[i] of
    '+', '-': begin
      if v then Inc(a, sgn * Max(Abs(k), 0)) else Inc(b, sgn * Max(k, 0));
      if s[i] = '-' then sgn := -sgn1 else sgn := sgn1;
      k := -1; v := false;
    end;
    '0'..'9': k := Max(k, 0) * 10 + Ord(s[i]) - Ord('0');
    'x': v := true;
    else Halt(3);
    end;
    Inc(i);
  end;
end;

procedure Calc(s: String; out a, b: Int64; out cond: TCond);
var
  p: Integer;
begin
  a := 0; b := 0;
  cond := Low(TCond);
  while cond <= High(TCond) do begin
    p := Pos(COND_STR[cond], s);
    if p > 0 then begin
      CalcSide(Copy(s, 1, p - 1) + '+', 1, a, b);
      CalcSide(Copy(s, p + Length(COND_STR[cond]), Length(s)) + '+', -1, a, b);
      if a < 0 then begin
        a := -a; b := -b;
        cond := TCond(Integer(cond) xor 1);
      end;
      break;
    end;
    Inc(cond);
  end;
end;

function Ineq(a, b, x: Int64; cond: TCond): Boolean;
var
  v: Int64;
begin
  v := a * x + b;
  Result := false;
  case cond of
    GE: Result := v >= 0;
    LE: Result := v <= 0;
    GT: Result := v > 0;
    LT: Result := v < 0;
  end;
end;

var
  f: TextFile;
  a1, b1, a2, b2, t: Int64;
  c1, c2: TCond;
  s1, s2: String;

procedure Check(x: Int64);
begin
  if Ineq(a1, b1, x, c1) = Ineq(a2, b2, x, c2) then exit;
  AssignFile(f, 'output.txt'); Rewrite(f);
  Write(f, x);
  CloseFile(f);
  Halt(0);
end;

begin
  AssignFile(f, 'input.txt'); Reset(f);
  Readln(f, s1); Readln(f, s2);
  CloseFile(f);

  Calc(s1, a1, b1, c1);
  Calc(s2, a2, b2, c2);

  Check(0);
  if a1 <> 0 then begin
    t := Trunc(-b1 / a1);
    Check(t); Check(t + 1); Check(t - 1);
  end;
  if a2 <> 0 then begin
    t := Trunc(-b2 / a2);
    Check(t); Check(t + 1); Check(t - 1);
  end;
end.
